Subject: bug#43389: 28.0.50; Emacs memory leaks

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Nov 2020 18:34:31 +0200

> Date: Thu, 26 Nov 2020 16:42:19 +0100
> From: Russell Adams <[email-masked]>
> 
> So my emacs grew to 8GB in RAM, and what was curious is if it was a
> background task (not window focused on an emacsclient), then the
> memory stayed the same. When I had the window focused, I could watch
> the memory constantly increasing in htop a few megs at a time.

Was the memory increasing even when you did nothing in the session?
If so, do you have some background functions running, e.g. timers?  If
Emacs was not idle, can you describe what you were doing at that time?

Thanks.